Subject: [lojban] Re: Grammatical Examples in the CLL (was Re: Re: Ungrammatical examples in CLL)

From: Robin Lee Powell <[email-masked]>
Date: Fri, 7 Feb 2003 11:03:51 -0800

On Thu, Feb 06, 2003 at 08:11:56PM -0600, Jordan DeLong wrote:
> On Mon, Feb 03, 2003 at 10:32:58AM -0800, Robin Lee Powell wrote:
> > On Sun, Feb 02, 2003 at 09:33:00AM -0600, Jordan DeLong wrote:
> > > On Sun, Feb 02, 2003 at 02:10:00AM -0500, Robert LeChevalier wrote:
> > > > At 08:36 AM 2/1/03 -0800, Robin Lee Powell wrote:
> > > > >On Sat, Feb 01, 2003 at 03:25:37PM +0000, Martin Bays wrote:
> > > > > > Further to the problems with prenex-connective interaction -
> > > > > >
> > > > > > 16.10.5:
> > > > > > roda zo'u mi prami da .ije naku zo'u do prami da
> > > > > >
> > > > > > and 16.10.6:
> > > > > > su'oda zo'u mi prami da .ije naku zo'u do prami da
> > > > > >
> > > > > > do not parse. Try them on jbofihe. You can use ge...gi instead,
> > > > > > and that seems fine, but (as I mentioned the other day) it looks
> > > > > > like you can't have individually prenexed sentences connected in
> > > > > > afterthought.
> > > > > >
> > > > > > Damned annoying, if you ask me.
> > > > >
> > > > >For the record, jbofi'e has been shown to have errors before.
> > > > 
> > > > They parse correctly in the official parser.
> > > 
> > > This is because the official parser uses an outdated version of the
> > > BNF. Jbofi'e is right---it is ungrammatical in the newer grammar.
> > > (Which really sucks, btw.)
> > 
> > No, jbofi'e is wrong.
[snip]
> > Unless I'm missing something?
> 
> You're looking at the wrong part of the grammar.
> 
> statement;
> : statement-1
> | prenex statement
> 
> statement-1;
> : statement-2 [I joik-jek [statement-2]] ...
> 
> statement-2;
> : statement-3 [I [jek | joik] [stag] BO # [statement-2]]
> 
> statement-3;
> : sentence
> | [tag] TUhE # text-1 /TUhU#/
> 
> ....
> 
> sentence;
> : [terms [CU #]] bridi-tail
> 
> So you can't put a prenex in there after a .ifoo connective.
> 
> Yes this sucks.
> 
> The older grammar (which the official parser uses) supports this. I
> have no idea why it was removed.

What did the older rules look like?

> All that needs to be done to fix it is to make the part after the
> connective of the statement1 and statement2 things use a "statement"
> rule instead of a "statement2" rule, and to decide what kind of scope
> the outer prenex has.

That last part might take some work.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi